{ pkgs }: name: src: let 
  drv = { buildInputs ? [], }: pkgs.stdenvNoCC.mkDerivation {
    inherit name src buildInputs;
    
    version = "0.0.0";
    dontUnpack = true;

    installPhase = "
      mkdir -p $out/bin
      cp $src $out/bin/${name}
    ";
  }; 
in pkgs.lib.customisation.makeOverridable drv { buildInputs = []; }